# List Loan Charges

`GET /lokta-lms/api/v1/loans/{loanId}/charges`

It lists all the Loan Charges specific to a Loan 

Example Requests:

loans/1/charges


loans/1/charges?fields=name,amountOrPercentage

## Parameters
- `loanId` (path, integer, required): loanId

## Responses
- `200`: OK

## Response fields
- `amount` (number)
- `amountOrPercentage` (number)
- `amountOutstanding` (number)
- `amountPaid` (number)
- `amountPercentageAppliedTo` (number)
- `amountWaived` (number)
- `amountWrittenOff` (number)
- `chargeCalculationType` (GetLoanChargeCalculationType)
- `chargeId` (integer)
- `chargeTimeType` (GetLoanChargeTimeType)
- `currency` (GetLoanChargeCurrency)
- `dueDate` (string)
- `externalId` (string)
- `id` (integer)
- `name` (string)
- `penalty` (boolean)
- `percentage` (number)
- `submittedOnDate` (string)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/loans/{loanId}/charges' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
[
  {
    "amount": 100,
    "amountOrPercentage": 100,
    "amountOutstanding": 100,
    "amountPaid": 0
  }
]
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveAllLoanCharges
